/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorDiffResultDetailProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorDiffResultDetailProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourceleft]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(左辺)。
     */
    private String fSourceleft;

    /**
     * フィールド [sourceright]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(右辺)。
     */
    private String fSourceright;

    /**
     * フィールド [targetdiff]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力の翻訳結果ログ差分ファイル。
     */
    private String fTargetdiff;

    /**
     * フィールド [reportequal]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * 一致する行を報告するかどうか。通常は これは不要だと考えています。
     */
    private boolean fReportequal = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourceleft]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(左辺)。
     *
     * @param argSourceleft フィールド[sourceleft]に格納したい値
     */
    public void setSourceleft(final String argSourceleft) {
        fSourceleft = argSourceleft;
    }

    /**
     * フィールド[sourceleft]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(左辺)。
     *
     * @return フィールド[sourceleft]に格納されている値
     */
    public String getSourceleft() {
        return fSourceleft;
    }

    /**
     * フィールド [sourceright]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(右辺)。
     *
     * @param argSourceright フィールド[sourceright]に格納したい値
     */
    public void setSourceright(final String argSourceright) {
        fSourceright = argSourceright;
    }

    /**
     * フィールド[sourceright]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力の翻訳結果ログ(右辺)。
     *
     * @return フィールド[sourceright]に格納されている値
     */
    public String getSourceright() {
        return fSourceright;
    }

    /**
     * フィールド [targetdiff]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力の翻訳結果ログ差分ファイル。
     *
     * @param argTargetdiff フィールド[targetdiff]に格納したい値
     */
    public void setTargetdiff(final String argTargetdiff) {
        fTargetdiff = argTargetdiff;
    }

    /**
     * フィールド[targetdiff]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力の翻訳結果ログ差分ファイル。
     *
     * @return フィールド[targetdiff]に格納されている値
     */
    public String getTargetdiff() {
        return fTargetdiff;
    }

    /**
     * フィールド [reportequal]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 一致する行を報告するかどうか。通常は これは不要だと考えています。
     *
     * @param argReportequal フィールド[reportequal]に格納したい値
     */
    public void setReportequal(final boolean argReportequal) {
        fReportequal = argReportequal;
    }

    /**
     * フィールド[reportequal]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * 一致する行を報告するかどうか。通常は これは不要だと考えています。
     *
     * @return フィールド[reportequal]に格納されている値
     */
    public boolean getReportequal() {
        return fReportequal;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorDiffResultDetailProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourceleft=" + fSourceleft);
        buf.append(",sourceright=" + fSourceright);
        buf.append(",targetdiff=" + fTargetdiff);
        buf.append(",reportequal=" + fReportequal);
        buf.append("]");
        return buf.toString();
    }
}
